// =================================================================
// Evaluation de la covariance pour le gradient stochastique moyenne
// =================================================================

//
// Evolution de la matrice de covariance du gradient stochastique
//

   BigS =[ Cramer,ZERO ; ZERO,Cramer];
   for k=1:n
      epsm = alfam/(thetam+k^lamdam);
      BigQ = [Q,Q/k ; Q/k,Q/k^2];
      M = [I-epsm*B,zeros(B) ; (I-epsm*B)/k,I*((k-1)/k)];
      BigS = M*BigS*M'+(epsm^2)*BigQ;
   end
   T = n*BigS((dim+1):$,(dim+1):$);

//
// Comparaison avec la borne optimale
//

   disp('Valeurs propres extremes des matrices de covariance');
   Result = ['Borne de Cramer-Rao : ' ; 'Gradient moyenne    : '];
   Result=[Result,[string(Mmvp(Cramer)') ; string(Mmvp(T)')]];
   disp(Result);

////////////////////////////
// S.O.W.G - Janvier 2004 //
////////////////////////////
