// =======================================================
// Lecture des parametres du gradient stochastique moyenne
// =======================================================
//
// On propose les valeurs  existantes si ces parametres ont
// deja ete definis (coefficients de la sigma-suite, nombre
// d'iterations), et des valeurs par defaut sinon.
//
// Forme de la sigma-suite : alpha / (k^lambda + theta)

//
// Valeurs des parametres
//

   labels = ["alpha";"theta";"lambda";"nbiter";"nstart"];
   if 1 == exists('alfam') then
      [ok,alfam,thetam,lamdam,n,nsm] = getvalue("réglage du gradient moyenne",...
          labels,list("vec",1,"vec",1,"vec",1,"vec",1,"vec",1),...
          [string(alfam);string(thetam);string(lamdam);string(n);string(nsm)]);
   else
      [ok,alfam,thetam,lamdam,n,nsm] = getvalue("réglage du gradient moyenne",...
          labels,list("vec",1,"vec",1,"vec",1,"vec",1,"vec",1),...
          [string(1);string(10);string(0.66);string(5000);string(100)]);
   end

//
// Affichage des valeurs retenues
//

   disp('Gradient stochastique moyenne ; pas en : alpha / (k^lambda + theta)');
   valeurs = [' alpha  = '+string(alfam)  ; ...
              ' theta  = '+string(thetam) ; ...
              ' lambda = '+string(lamdam) ; ...
              ' nbiter = '+string(n)      ; ...
              ' nstart = '+string(nsm)];
   disp(valeurs);

/////////////////////////////
// S.O.W.G - Novembre 2007 //
/////////////////////////////
