// ======================================================
// Lecture des parametres du gradient stochastique normal
// ======================================================
//
// On propose les valeurs  existantes si ces parametres ont
// deja ete definis (coefficients de la sigma-suite, nombre
// d'iterations), et des valeurs par defaut sinon.
//
// Forme de la sigma-suite : alpha / (k^lambda + theta)

//
// Valeurs des parametres
//

   labels = ["alpha";"theta";"nbiter"];
   if 1 == exists('alfan') then
      [ok,alfan,thetan,n] = getvalue("réglage du gradient normal",...
          labels,list("vec",1,"vec",1,"vec",1),...
          [string(alfan);string(thetan);string(n)]);
   else
      [ok,alfan,thetan,n] = getvalue("réglage du gradient normal",...
          labels,list("vec",1,"vec",1,"vec",1),...
          [string(1);string(10);string(5000)]);
   end

//
// Exposant de l'indice des iterations dans la suite
//

   lamdan = 1;

//
// Affichage des valeurs retenues
//

   disp('Gradient stochastique normal ; pas en : alpha / (k^lambda + theta)');
   valeurs = [' alpha  = '+string(alfan) ; ...
              ' theta  = '+string(thetan) ; ...
              ' lambda = '+string(lamdan) ; ...
              ' nbiter = '+string(n)];
   disp(valeurs);

/////////////////////////////
// S.O.W.G - Decembre 2007 //
/////////////////////////////
