// ================================================================
// Evaluation de la covariance pour le gradient stochastique normal
// ================================================================

//
// Evolution de la matrice de covariance du gradient stochastique
//

   S = Cramer;
   for k=1:n
      epsn = alfan/(thetan+k^lamdan);
      S = (I-epsn*B)*S*(I-epsn*B)+(epsn^2)*Q;
   end
   S = n*S;

//
// Comparaison avec la borne optimale
//

   disp('Valeurs propres extremes des matrices de covariance');
   Result = ['Borne de Cramer-Rao : ' ; ...
             'Gradient normal     : ' ];
   Result=[Result,[string(Mmvp(Cramer)') ; ...
                   string(Mmvp(S)')]];
   disp(Result);

////////////////////////////
// S.O.W.G - Mai 2005     //
////////////////////////////
