// ======================================
// Caracteristiques du probleme a traiter
// ======================================

//
// Matrice definissant le critere et taille
//

   B   = read('donn-critere.dat',10,10);
   dim = size(B,'r');

//
// Matrice identite de meme dimension
//

   I   = eye(B);

//
// Inverse de la matrice du critere
//

   C = inv(B);

//
// Alea sur la matrice B
// ---------------------
//

   Mea = zeros(dim,1);
   Cov = 0.5 * (ones(dim,dim)+10*B);

//
// Matrice de covariance des bruits
//

   q  =  read('donn-bruit.dat',10,10);
   Q  =  q*q';

//
// Matrice de covariance augmentee par des zeros
//

   BigQ = [Q,zeros(B) ; zeros(B),zeros(B)];
   BigB = [B,B ; B,B];

//
// Pour l'initialisation
//

   ZERO    = zeros(B);
   BIGZERO = zeros(BigB);

//
// Borne de Cramer-Rao
//

   Cramer   = C*Q*C;

////////////////////////////
// S.O.W.G - Janvier 2004 //
////////////////////////////
